<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pd@100034=00636363|(maincpu.pd@100034 BAND ~00FFFFFF)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@1000D5=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Set on character selection screen</comment>
    <parameter min="1" max="7" step="1"/>
    <script state="change">
      <action>maincpu.pb@100108=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@100405=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@100404=40</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Incomplete) PL1"> <comment>Can't get an item</comment>
    <script state="run">
      <action>maincpu.pb@100468=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1"> <comment>Can't charge</comment>
    <script state="run">
      <action>maincpu.pb@100010=00|(maincpu.pb@100010 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@100505=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@100504=40</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Incomplete) PL2"> <comment>Can't get an item</comment>
    <script state="run">
      <action>maincpu.pb@100568=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2"> <comment>Can't charge</comment>
    <script state="run">
      <action>maincpu.pb@100011=00|(maincpu.pb@100011 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@100605=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@100604=40</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Incomplete) PL3"> <comment>Can't get an item</comment>
    <script state="run">
      <action>maincpu.pb@100668=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL3"> <comment>Can't charge</comment>
    <script state="run">
      <action>maincpu.pb@100019=00|(maincpu.pb@100019 BAND ~10)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
